import request from '@/utils/request'

// 查询APS车间信息列表
export function listWorkshop(query) {
  return request({
    url: '/aps_workshop/workshop/list',
    method: 'get',
    params: query
  })
}

// 查询APS车间信息详细
export function getWorkshop(sequenceId) {
  return request({
    url: '/aps_workshop/workshop/' + sequenceId,
    method: 'get'
  })
}

// 新增APS车间信息
export function addWorkshop(data) {
  return request({
    url: '/aps_workshop/workshop',
    method: 'post',
    data: data
  })
}

// 修改APS车间信息
export function updateWorkshop(data) {
  return request({
    url: '/aps_workshop/workshop',
    method: 'put',
    data: data
  })
}

// 删除APS车间信息
export function delWorkshop(sequenceId) {
  return request({
    url: '/aps_workshop/workshop/' + sequenceId,
    method: 'delete'
  })
}
